Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.iterators
Class EntrySetMapIterator

    java.lang.Object
      |
      +--org.apache.commons.collections.iterators.EntrySetMapIterator

All Implemented Interfaces:
  Iterator, MapIterator, ResettableIterator

public class EntrySetMapIterator
extends Object
implements MapIterator, ResettableIterator

Implements a `MapIterator` using a Map entrySet. Reverse iteration is not supported.

     MapIterator it = map.mapIterator();
     while (it.hasNext()) {
       Object key = it.next();
       Object value = it.getValue();
       it.setValue(newValue);
     }

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.7 $ $Date: 2004/02/18 00:59:50 $
Author:
  Stephen Colebourne

Constructor Summary
`EntrySetMapIterator(Map map)` Constructor.

Method Summary
`Object` | `getKey()` Gets the current key, which is the key returned by the last call to `next()`.
`Object` | `getValue()` Gets the current value, which is the value associated with the last key returned by `next()`.
`boolean` | `hasNext()` Checks to see if there are more entries still to be iterated.
`Object` | `next()` Gets the next key from the `Map`.
`void` | `remove()` Removes the last returned key from the underlying `Map`.
`void` | `reset()` Resets the state of the iterator.
`Object` | `setValue(Object value)` Sets the value associated with the current key.
`String` | `toString()` Gets the iterator as a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntrySetMapIterator

    public EntrySetMapIterator(Map map)

  Constructor.

Parameters:
  `map` - the map to iterate over

Method Detail

### hasNext

    public boolean hasNext()

  Checks to see if there are more entries still to be iterated.

  Specified by:
    `hasNext` in interface `MapIterator`
  Returns:
    `true` if the iterator has more elements

### next

    public Object next()

  Gets the next key from the `Map`.

  Specified by:
    `next` in interface `MapIterator`
  Returns:
    the next key in the iteration
  Throws:
    `NoSuchElementException` - if the iteration is finished

### remove

    public void remove()

  Removes the last returned key from the underlying `Map`.

  This method can be called once per call to `next()`.

  Specified by:
    `remove` in interface `MapIterator`
  Throws:
    `UnsupportedOperationException` - if remove is not supported by the map
    `IllegalStateException` - if `next()` has not yet been called
    `IllegalStateException` - if `remove()` has already been called since the last call to `next()`

### getKey

    public Object getKey()

  Gets the current key, which is the key returned by the last call to `next()`.

  Specified by:
    `getKey` in interface `MapIterator`
  Returns:
    the current key
  Throws:
    `IllegalStateException` - if `next()` has not yet been called

### getValue

    public Object getValue()

  Gets the current value, which is the value associated with the last key returned by `next()`.

  Specified by:
    `getValue` in interface `MapIterator`
  Returns:
    the current value
  Throws:
    `IllegalStateException` - if `next()` has not yet been called

### setValue

    public Object setValue(Object value)

  Sets the value associated with the current key.

  Specified by:
    `setValue` in interface `MapIterator`
  Parameters:
    `value` - the new value
  Returns:
    the previous value
  Throws:
    `UnsupportedOperationException` - if setValue is not supported by the map
    `IllegalStateException` - if `next()` has not yet been called
    `IllegalStateException` - if `remove()` has been called since the last call to `next()`

### reset

    public void reset()

  Resets the state of the iterator.

  Specified by:
    `reset` in interface `ResettableIterator`

### toString

    public String toString()

  Gets the iterator as a String.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string version of the iterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.